﻿using System;

namespace HeuristicLab.Services.Optimization.Billing.Interfaces {
  public interface ITransactionManager {
    void UseTransaction(Action call, bool repeatableRead = false, bool longRunning = false);
    T UseTransaction<T>(Func<T> call, bool repeatableRead = false, bool longRunning = false);
  }
}
